  str = "hello world\n";
  ch = 'abcd';
  str = 'hello mars\n';
  ch = 123;
A;
A=B+1;
lab:fred=2;
lab:FRED;
A = B * C ;
A = fred + B * C ;
A = fred + B(jim) * C ;
A = fred + B(jim) * C->d[4].F ;
  ch = 'a';
